/*
   example1.c: Simple method of securing software, just checks for SmartDongle
               presence.

   www.smartdongle.com

   MicroWorks, Inc.
   2808 North Cole Road
   Boise, ID 83704
*/


#include <stdio.h>
#include "smartdongle.h"
#include "sd_eeprom.h"


int  main(int argc, char* argv[])
{
   unsigned __int64 P1, P2;
   int error;


   /* SmartDongle  Demo Keys */
   P1 = 0xec6cc589aefd1e75;
   P2 = 0xfcec0a6a82747b3f;

   /* Unlock SmartDongle with 0 length read request */
   error = SmartDongleRead(P1, P2, 0, NULL, 0);
   if (error)
   {
      printf ("Failed to access a valid SmartDongle\n");
   }
   else
   {
      printf("A valid SmartDongle is present\n");
   }


   /* ... */

   printf("\nPress any key to exit\n");
   getchar();

   return 0;
}
